
%complex function plotter
%height=magnitude
%colour=argument

fine=50;

centre=0; radius=2;

remin=real(centre)-radius; remax=real(centre)+radius;
immin=imag(centre)-radius; immax=imag(centre)+radius;
maxheight=3;

data = zeros(fine+1,fine+1);

%compute function values
for I=0:fine
  for J=0:fine
    z=(remin + I*(remax - remin) / fine)+ i*(immin + J*(immax - immin) / fine);
    if abs(z-centre)<radius 
      data(J+1,I+1)=1/(1+sqrt(1-z^2));
    else
      data(J+1,I+1)=nan;
    end
  end
end

mag=abs(data);

%crop above maxheight
for I=0:fine
  for J=0:fine
    if mag(I+1,J+1) > maxheight, mag(I+1,J+1)=nan; end
  end
end

arg=angle(data);

rev=remin:(remax-remin)/fine:remax;
imv=immin:(immax-immin)/fine:immax;

colormap(hsv(256));
surf(rev,imv,mag,arg);
xlabel('real'); ylabel('imaginary');
%caxis([-4 4]);
shading interp;
grid;
pderot3d on;
%h=uicontrol('Style','Edit','Position',[20 150 100 20]);
%view(2);





































































